/*
Theme Name: Thomcat Equipment Avada Child
Description: Child theme for Avada theme
Author: devEdge Internet Marketing
Author URI: https://devedge-internet-marketing.com
Template: Avada
Version: 1.0.0
Text Domain:  Avada
*/

/* Table of Contents
	- Images
	- Header
	- Navigation Menu
	- Page Title Bar
	- Footer
	- Gravity Forms Customizations
	- Utility
*/

/* Images
--------------------------------------------- */
/* Hide Caption Titles */
.awb-imageframe-caption-container .awb-imageframe-caption .awb-imageframe-caption-title {
	display: none;
}


/* Header
--------------------------------------------- */



/* Navigation Menu
--------------------------------------------- */
/* Override settings to show menu icons */
.awb-menu.collapse-enabled .awb-menu__i.fusion-megamenu-icon {
	display: flex !important;
}



/* Page Title Bar
--------------------------------------------- */



/* Footer
--------------------------------------------- */
/* Makes the footer menu display vertically at the mobile breakpoint. */
@media only screen and (max-width: 640px) {
	.fusion-footer nav.awb-menu .awb-menu__main-ul_row {
		flex-direction: column;
	}

	.fusion-footer nav.awb-menu .awb-menu__main-ul_row .awb-menu__main-li:first-child {
		margin-inline-start: calc(var(--awb-gap)/ 2);
	}

	.fusion-footer nav.awb-menu .awb-menu__main-ul_row .awb-menu__main-li:last-child {
		margin-inline-end: calc(var(--awb-gap)/ 2);
	}
}



/* Gravity Forms Customizations
--------------------------------------------- */
/* Adjust the vertical distance between fields. */
body .gform_wrapper.gform-theme--foundation .gform_fields {
	grid-row-gap: 24px;
	row-gap: 24px;
}

/* Makes the under input field description size and color consistent. */
body .gform_wrapper form .gfield_description {
	font-size: var(--gf-ctrl-desc-font-size);
	color: var(--gf-ctrl-label-color-tertiary);
}

/* Helps users identify readonly fields by greying out the input background. */
body .gform_wrapper form .gf_readonly input,
body .gform_wrapper form .gf_readonly select,
body .gform_wrapper form .gf_readonly textarea {
	background-color: #EFEFEF !important;
}

/* Forces footer to 100% width, allowing the form button to be center or right aligned. */
body .gform_wrapper form .gform_footer {
	width: 100%;
}

/* DEFAULT: This forces the form button styling to the DEFAULT AVADA BUTTON style. */
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input.button,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input[type=submit],
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input.gform_next_button.button,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input[type=submit],
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input.button.gform-theme-button--secondary,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input.gform_previous_button.button {
	margin: 0;
	padding-top: var(--button_padding-top, 14px);
	padding-bottom: var(--button_padding-bottom, 14px);
	padding-left: var(--button_padding-left, 27px);
	padding-right: var(--button_padding-right, 27px);
	border-width: var(--button_border_width-top, 0) var(--button_border_width-right, 0) var(--button_border_width-bottom, 0) var(--button_border_width-left, 0);
	border-style: solid;
	border-radius: var(--button-border-radius-top-left, 0) var(--button-border-radius-top-right, 0) var(--button-border-radius-bottom-right, 0) var(--button-border-radius-bottom-left, 0);
	text-align: center;
	font-size: var(--button_font_size, 14px);
	line-height: var(--button_line_height, 1);
	font-family: var(--button_typography-font-family);
	font-weight: var(--button_typography-font-weight);
	font-style: var(--button_typography-font-style, normal);
	letter-spacing: var(--button_typography-letter-spacing);
	text-transform: var(--button_text_transform);
	cursor: pointer;
	width: auto;
}

/* DEFAULT: Primary form button, default state */
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input.button,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input[type=submit],
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input.gform_next_button.button,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input[type=submit] {
	background-color: var(--button_gradient_top_color);
	color: var(--button_accent_color);
	border-color: var(--button_border_color);
}

/* DEFAULT: Primary form button, HOVER state */
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input.button:hover,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input[type=submit]:hover,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input.gform_next_button.button:hover,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input[type=submit]:hover {
	background-color: var(--button_gradient_top_color_hover);
	color: var(--button_accent_hover_color, var(--button_accent_color));
	border-color: var(--button_border_hover_color);
}

/* DEFAULT: Secondary button, default state */
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input.button.gform-theme-button--secondary,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input.gform_previous_button.button {
	background-color: #333333;
}

/* DEFAULT: Secondary button, HOVER state */
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input.button.gform-theme-button--secondary:hover,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input.gform_previous_button.button:hover {
	background-color: #140001;
}

/* OVERRIDE: General submit and next button styling on the forms - OVERRIDES ABOVE DEFAULT VALUES. */
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input.button,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input[type=submit],
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input.gform_next_button.button,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input[type=submit],
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input.button.gform-theme-button--secondary,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input.gform_previous_button.button {
	margin: 0 auto;
	padding-top: 14px;
	padding-bottom: 14px;
	padding-left: 22px;
	padding-right: 22px;
	border-radius: 4px 4px 4px 4px;
	font-size: 18px;
}

/* OVERRIDE: Primary form button colors, default state */
/*body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input.button,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input[type=submit],
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input.gform_next_button.button,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input[type=submit] {
}*/
/* OVERRIDE: Primary form button, HOVER default */
/*body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input.button:hover,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input[type=submit]:hover,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input.gform_next_button.button:hover,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input[type=submit]:hover {
}*/

/* Fix a weird visual artifact on the drop-down select arrow that shows up when the form is included via a global element in Avada. */
.gform_wrapper .gfield .gravity-select-parent .select-arrow {
	position: absolute;
}


/* Utility
--------------------------------------------- */
/* Display on mobile devices only. */
.mobile-menu-only {
	display: inherit !important;
}

@media (min-width: 1025px) {
	.mobile-menu-only {
		display: none !important;
	}
}